# saga::isn::entity_data Class Reference

`#include <entity_data.hpp>`

Inheritance diagram for saga::isn::entity_data:

[legend]

List of all members.

## Public Member Functions
| entity_data (void)
| entity_data (saga::object const &o)
| ~entity_data (void)
entity_data & | operator= (saga::object const &o)
## Protected Member Functions
| entity_data (saga::impl::entity_data *impl)

## Detailed Description

Provides read access to the data of an entity. This class implements the saga::attributes interface and offers getter methods for the user to read key/value pairs. Access to the keys and values is through the `saga::attributes` interface. The class provides no other methods.

## Constructor & Destructor Documentation

saga::isn::entity_data::entity_data | ( | saga::impl::entity_data * | impl | ) | `[explicit, protected]`

saga::isn::entity_data::entity_data | ( | void |  | ) |

saga::isn::entity_data::entity_data | ( | saga::object const & | o | ) | `[explicit]`

References saga::BadParameter, saga::object::EntityData, and saga::object::get_type().

saga::isn::entity_data::~entity_data | ( | void |  | ) |

## Member Function Documentation

entity_data & saga::isn::entity_data::operator= | ( | saga::object const & | o | ) |

The documentation for this class was generated from the following files:

- entity_data.hpp
- entity_data.cpp